/* layout for screen and projection */

@import url(/css/screen-custom.css);
@import url(/css/screen-extras.css);

html,
body {
	background: #a6deb5;
	color: black;
	font-family: Verdana, sans-serif;
	font-size: 16px;
	min-height: 20em;
}

html {
	margin: 0;
	padding: 0;
}

body {
	background: #d0fbdb;
	display: block;
	margin: 0;
	padding: 1em;
}

h1,
h2 {
}

body > h1:first-child {
	margin-top: 0;
}

a {
	font-weight: bold;
}

a:link {
	color: #464;
	text-decoration: none;
}

a:visited {
	color: #464;
	text-decoration: none;
}

a:active,
a:hover {
	text-decoration: underline;
}


#navigation {
}

#navigation a {
	color: #464;
	display: inline-block;
	padding: 0.5em;
	grid-column: 2;
}

#navigation a:hover {
	text-shadow: none;
}

#navigation .current a,
#navigation a.current {
	color: inherit;
	text-decoration: none;
}

#navigation ul button {
	background: transparent;
	border: 1px solid transparent;
	cursor: pointer;
	display: inline-block;
	overflow: hidden;
	padding: 0.5em 0 0.5em 2em;
	position: relative;
	width: 0;
	z-index: 1;
}

#navigation ul button::after {
	content: "►";
	display: block;
	left: 0;
	position: absolute;
	text-align: center;
	top: 0.70em;
	width: 2em;
}

#navigation h2 {
	text-align: center;
}

#navigation li {
	border-top: 0.2em solid #a6deb5;
	display: grid;
	grid-template-columns: 1.5em auto;
	list-style: none;
	margin: 0 auto 0 0;
}

#navigation li li {
	background: white;
}

#navigation li > ul {
	display: none;
	grid-row: 2;
	grid-column: 2;
	padding-left: 0;
}

#navigation .open > button::after {
	content: "▼";
}

#navigation > ul {
	margin: 0;
	padding: 0;
}

#navigation .open > ul {
	display: block;
}


p.illustration-right,
p.illustration-left,
p.illustration-center {
	max-width: 410px;
	margin: 0 auto;
	text-align: center;
	font-style: italic;
}

p.illustration-right img,
p.illustration-left img,
p.illustration-center img {
	display: block;
	margin: 4px auto;
}

p.illustration-right {
	float: right;
	margin: 0 0 0 15px;
}

p.illustration-left {
	float: left;
	margin: 0 15px 0 0;
}


@media(min-width: 48em) {

	body {
		margin-left: 16em;
	}

	#navigation {
		left: 0;
		position: absolute;
		top: 4em;
		width: 16em;
	}

	#navigation > button {
		display: none;
	}

	#navigation li {
		border-top-color: #d0fbdb;
	}

	#navigation > ul {
		display: block;
	}

}

@media(max-width: 47.9em) {

	body {
		margin-top: 2em;
	}

	#navigation {
		background: #a6deb5;
		left: 0;
		position: absolute;
		top: 0;
		width: 100%;
	}

	#navigation > button {
		background: transparent;
		border: none;
		display: block;
		height: 2.5em;
		overflow: hidden;
		padding: 0em 1em 0em 2em;
		position: absolute;
		right: 1em;
		top: 0;
		width: 0;
	}

	#navigation > button::after {
		background: #d0fbdb;
		content: "☰";
		display: block;
		font-size: 2em;
		left: 0;
		position: absolute;
		top: 0;
		width: 1.5em;
	}

	#navigation.show {
		height: 100%;
	}

	#navigation.show > button::after {
		content: "✕";
	}

	#navigation > h2,
	#navigation > ul {
		display: none;
	}

	#navigation.show > h2 {
		display: block;
		font-size: 100%;
		padding: 0.4em 0;
		margin: 0;
		background: #d0fbdb;
	}

	#navigation.show > ul {
		background: #d0fbdb;
		display: block;
	}

}
